@import "../../../assets/styles/variables";
@import "../../../assets/styles/mixins";

.social-icons {
    & .col-xl-1 {
        @include transition-hover();
        
        &:hover {
            color : $tw-white;
        }
    }
    
    & .fa {
        font-size : 1.5rem;
        @include media-breakpoint-down(ph) {
            font-size : 1.3rem;
        }
    }
    
    & span {
        font-family : $font-name-ultra-light;
        font-size   : 0.8rem;
        @include media-breakpoint-down(ph) {
            font-size : 0.7rem;
        }
    }
    
    & .text-tw-red {
        font-family : $font-name-bold;
        font-size   : 18px;
        @include media-breakpoint-down(md) {
            font-size : 16px;
        }
    }
    
    & .text-tw-white {
        font-family : $font-name-medium;
        @include media-breakpoint-down(md) {
            font-size : 14px;
        }
        
        &.dash-icon {
            font-family : $font-name-light;
        }
    }
    
    & .dropdowns {
        position : relative;
        
        & #download-dropdown,
        & #share-dropdown {
            position   : absolute;
            top        : 14px;
            background : $tw-dark3;
            width      : 200px;
            z-index    : 1000;
            left       : -115px;
            border-top : 1px solid $tw-white;
            
            & .share-item {
                @include transition-hover();
                
                &:hover {
                    color : $tw-white !important;
                }
                
                & span, & i {
                    font-size : 0.9rem;
                }
            }
            
            @include media-breakpoint-between(md, lg) {
                top  : 25px;
                left : 15px;
            }
            @include media-breakpoint-only(sm) {
                top  : 25px;
                left : -125px;
            }
            @include media-breakpoint-only(ph) {
                top  : 28px;
                left : 25px;
            }
            @include media-breakpoint-only(xs) {
                top   : 33px;
                left  : -75px;
                width : 200px;
            }
        }
        
        & #download-dropdown {
            & .download-quality {
                @include transition-hover();
                
                &:hover {
                    color : $tw-white !important;
                }
            }
        }
    }
}

.moment-dropdown {
    position   : absolute;
    top        : 79px;
    background : #2B2B2B;
    border-top : 1px solid $tw-white;
    opacity    : 0.9;
    z-index    : 10000;
    
    & ul {
        list-style : none;
        
        & li {
            font-size : 14px;
            
            & span {
                color : #AAA;
                @include transition-hover();
                
                &:hover {
                    color : $tw-white;
                }
            }
        }
    }
}
